#! /usr/bin/python
## -*- coding: utf-8 -*-

##
##  HARK Middleware
##  Copyright (C) 2013-2014 by Honda Research Institute Japan Co., Ltd.
##
##  $Id:$
##

##
##  Usage for development environment:
##    $ cd ~/proj/hri/hark/hark-middleware/harkmw
##    $ export LD_LIBRARY_PATH=`pwd`/usr/local/lib
##    $ export PYTHONPATH=`pwd`
##    $ python harkmw/HARK.py
##

import sys

from harkmw.logic.process import Process

class HARK(Process) :
    """ HARK application class """

    def __init__(self) :
        Process.__init__(self)

if __name__ == '__main__':

    app = HARK()
    app.scan_nodedefs('/usr/local/lib/flowdesigner')
    app.scan_typedefs('/usr/local/lib/flowdesigner')
    app.scan_typelibs('/usr/local/lib/flowdesigner')
    app.load(sys.argv[1], sys.argv[1])
    app.run(sys.argv[2] if sys.argv[2] else 'local')

# end of file
