/* -*- mode: C++; coding: utf-8 -*- */
/*
 *
 *  HARK Middleware
 *  Copyright (C) 2013-2014 by Honda Research Institute Japan Co., Ltd.
 *
 *  $Id:$
 */

#if !defined(HARKMW__OBJECT_H__INCLUDED)
#define HARKMW__OBJECT_H__INCLUDED 1

/* Python API */
#include "Python.h"
#include <structmember.h>

/* HARK Base */
#include <hark-base/Object.h>

namespace HARKMW
{
    extern PyTypeObject ObjectType;

    extern PyObject *ObjectNew(HARK::Object *object);
}

#endif /* #if !defined(HARKMW__OBJECT_H__INCLUDED) */

/* end of file */
